SoftBevelBorder (Java Platform SE 8 )
Keywords: javax.swing.border.SoftBevelBorder class
Date: 2020-03-26

javax.swing.border

## Class SoftBevelBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.BevelBorder
    - - javax.swing.border.SoftBevelBorder

- All Implemented Interfaces:
    Serializable, Border

      public class SoftBevelBorder
      extends BevelBorder

  A class which implements a raised or lowered bevel with softened corners.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.BevelBorder

      `bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftBevelBorder(int bevelType)` Creates a bevel border with the specified type and whose colors will be derived from the background color of the component passed into the paintBorder method.
    `SoftBevelBorder(int bevelType, Color highlight, Color shadow)` Creates a bevel border with the specified type, highlight and shadow colors.
    `SoftBevelBorder(int bevelType, Color highlightOuterColor, Color highlightInnerColor, Color shadowOuterColor, Color shadowInnerColor)` Creates a bevel border with the specified type, highlight shadow colors.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c, Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
    `boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.

    - ### Methods inherited from class javax.swing.border.BevelBorder

      `getBevelType, getHighlightInnerColor, getHighlightInnerColor, getHighlightOuterColor, getHighlightOuterColor, getShadowInnerColor, getShadowInnerColor, getShadowOuterColor, getShadowOuterColor, paintLoweredBevel, paintRaisedBevel`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoftBevelBorder

          public SoftBevelBorder(int bevelType)

      Creates a bevel border with the specified type and whose colors will be derived from the background color of the component passed into the paintBorder method.
      Parameters:
        `bevelType` - the type of bevel for the border

    - #### SoftBevelBorder

          public SoftBevelBorder(int bevelType,
                                 Color highlight,
                                 Color shadow)

      Creates a bevel border with the specified type, highlight and shadow colors.
      Parameters:
        `bevelType` - the type of bevel for the border
        `highlight` - the color to use for the bevel highlight
        `shadow` - the color to use for the bevel shadow

    - #### SoftBevelBorder

          @ConstructorProperties(value={"bevelType","highlightOuterColor","highlightInnerColor","shadowOuterColor","shadowInnerColor"})
          public SoftBevelBorder(int bevelType,
                                                                                                                                                               Color highlightOuterColor,
                                                                                                                                                               Color highlightInnerColor,
                                                                                                                                                               Color shadowOuterColor,
                                                                                                                                                               Color shadowInnerColor)

      Creates a bevel border with the specified type, highlight shadow colors.
      Parameters:
        `bevelType` - the type of bevel for the border
        `highlightOuterColor` - the color to use for the bevel outer highlight
        `highlightInnerColor` - the color to use for the bevel inner highlight
        `shadowOuterColor` - the color to use for the bevel outer shadow
        `shadowInnerColor` - the color to use for the bevel inner shadow

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int width,
                                  int height)

      Paints the border for the specified component with the specified position and size.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `BevelBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `width` - the width of the painted border
        `height` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                                        Insets insets)

      Reinitialize the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `BevelBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object

    - #### isBorderOpaque

          public boolean isBorderOpaque()

      Returns whether or not the border is opaque.
      Specified by:
        `isBorderOpaque` in interface `Border`
      Overrides:
        `isBorderOpaque` in class `BevelBorder`
      Returns:
        false

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.